org.omg.PortableInterceptor

## Class CurrentHelper

- java.lang.Object
- - org.omg.PortableInterceptor.CurrentHelper

    public abstract class CurrentHelper
    extends Object

Portable Interceptors Current (also known as `PICurrent`) is merely a slot table, the slots of which are used by each service to transfer their context data between their context and the request's or reply's service context. Each service which wishes to use PICurrent reserves a slot or slots at initialization time and uses those slots during the processing of requests and replies.

Before an invocation is made, PICurrent is obtained via a call to `ORB.resolve_initial_references( "PICurrent" )`. From within the interception points, the data on PICurrent that has moved from the thread scope to the request scope is available via the `get_slot` operation on the `RequestInfo` object. A PICurrent can still be obtained via `resolve_initial_references`, but that is the Interceptor's thread scope PICurrent.

### Constructor Summary

Constructors
Constructor and Description
`CurrentHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Current` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, Current that)`
`static Current` `narrow(Object obj)`
`static Current` `read(InputStream istream)`
`static TypeCode` `type()`
`static Current` `unchecked_narrow(Object obj)`
`static void` `write(OutputStream ostream, Current value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CurrentHelper

    public CurrentHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              Current that)

#### extract

    public static Current extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static Current read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             Current value)

#### narrow

    public static Current narrow(Object obj)

#### unchecked_narrow

    public static Current unchecked_narrow(Object obj)